@import url('https://fonts.googleapis.com/css2?family=Hammersmith+One&display=swap');
*{
    padding: 0;
    margin: 0;
    box-sizing: border-box;
    color: rgb(228, 231, 237);
    font-family: "Hammersmith One", sans-serif;
    font-weight: 400;
    font-style: normal;
}

html,body{
    width: 100%;
    height: 100%;
}

#main{
    height: 100vh;
    width: 100%;
    background: url("background.jpg");
    background-position: center;
    background-repeat: no-repeat;
    background-size:cover;
    display: flex;
    padding: 5vw 10vw;
    display: flex;
    align-items: center;
    justify-content: center;
}

.left{
    height: 100%;
    width: 55%;
    display: flex;
    align-items: center;
    justify-content: space-around;
    flex-direction: column;
    border-radius: 20px;
    background-color: #363b48;
}
.left #img {
    display: block;
    top: 0;
    width: 100%;
    height: 45%;
    border-radius: 15px;
    background-repeat: no-repeat;
    background-position: center;
    background-size: cover;    
}
.left .controls{
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
}
.controls .song-timer{
  width: 90%;
  height: 40px;
  display: flex;
  justify-content: space-between;
}
.controls .duration{
  position: relative;
  width: 80%;
}
 input[type=range] {
    -webkit-appearance: none;
    appearance: none;
    width: 100%;
    height: 10px;
    background: #d3d3d3; /* Default background color */
    border-radius: 5px;
    outline: none;
    margin: 10px 0;
  }
  
  /* Styles for the track of the range input */
  input[type=range]::-webkit-slider-runnable-track {
    width: 100%;
    height: 10px;
    background: #808080; /* Track color */
    border-radius: 5px;
  }
  
  /* Styles for the thumb of the range input */
  input[type=range]::-webkit-slider-thumb {
    -webkit-appearance: none;
    appearance: none;
    width: 20px;
    height: 20px;
    background: #f6f4f4; /* Thumb color */
    border-radius: 50%;
    border: 2px solid #808080; /* Thumb border */
    cursor: pointer;
    margin-top: -5px; /* Align the thumb with the track */
  }
/* Volume Control */
.volume{
  margin-top: 10px;
  display: flex;
  align-items: center;
  gap: 20px;
}
.left #player{
    width: 100%;
    height: 40%;
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 20px;
}
.left #player h3{
    border-radius: 50%;
    background: #1c51e4;
    box-shadow: inset -13px 13px 26px #363b48,
                inset 13px -13px 26px #5a6278;
    padding: 10px;
    display: flex;
    align-items: center;
    justify-content: center;
}
#player h3 i{
    font-size: 30px;
}
#player h3:active{
    scale:0.9;
}
.right{
    height: 100%;
    width: 55%;
    /* background-color: aquamarine; */
    padding: 0 3vw;
}
.right ::-webkit-scrollbar {
    width: 10px;
  }
  
  /* Track */
  ::-webkit-scrollbar-track {
    background: #f1f1f1; 
  }
   
  /* Handle */
  ::-webkit-scrollbar-thumb {
    background: #888; 
  }
  
  /* Handle on hover */
  ::-webkit-scrollbar-thumb:hover {
    background: #555; 
  }
#all-songs{
    height: 85%;
    margin-top: 30px;
    overflow: hidden;
    overflow-y: scroll;
}
.song-card{
    display: flex;
    align-items: center;
    justify-content: space-between;
    border-top: 1px solid #fff;
    padding: 3vw 3vw;
}
.song-card:hover{
  background-color: #499fe0;
}
.song-card:nth-last-child(1){
 border-bottom: 1px solid #fff;
}
.song-card .part1{
 display: flex;
 align-items: center;
 justify-content: center;
 pointer-events: none;
}
.song-card img{
    width: 55px;
    height: 55px;
    object-fit: cover;
    object-position: center;
    margin-right: 20px;
}
.song-card h2{
    font-size: 22px;
    color: #f4f6fa;
    font-weight: 600;
}
.song-card h6{
    font-size: 16px;
    font-weight:400;
}


@media screen and (max-width:768px) {
    
.left{
    height: 400px;
    width: 60%;
    display: block;
}
}